Post by somnik » Thu Jun 08, 2017 12:58 am

Hello,
I recently tried to upgrade my php version from 5.2 to 7.1 since a theme needed a higher php version. So i went to my cpanel and upgraded , not knowing that this was going to mess up my site.. or at least that's what i think it happened. I don't have much knowledge about code or website development , so i can't figure it out. i hope you guys can help me out, that would be awesome!
my site is www.twiinsstore.com
i can't check my OC version but i believe it was 1.5.5.1 or so
Thank you very much for your time.

User avatar
New member

Posts

Joined
Wed May 01, 2013 1:50 am

Post by MrPhil » Thu Jun 08, 2017 5:52 am

Wow, PHP 7.1 is extremely bleeding edge. I doubt any version of OC (or any other cart, for that matter) will run on it. The OC prereqs say PHP 5.4+, but don't say if OC 1.5 and 2.x have different minimums, and 5.6 is very commonly available. Can you (or your tech support) roll you back to PHP 5.6 or a little earlier? No earlier than PHP 5.4, in any case.

Active Member

Posts

Joined
Wed May 10, 2017 11:52 pm

Post by somnik » Thu Jun 08, 2017 6:51 am

MrPhil wrote:
Thu Jun 08, 2017 5:52 am
Wow, PHP 7.1 is extremely bleeding edge. I doubt any version of OC (or any other cart, for that matter) will run on it. The OC prereqs say PHP 5.4+, but don't say if OC 1.5 and 2.x have different minimums, and 5.6 is very commonly available. Can you (or your tech support) roll you back to PHP 5.6 or a little earlier? No earlier than PHP 5.4, in any case.
Hello , thank you very much for taking the time to read and replay. I was just informed about php 7.1 and how OC doesn't support it yet. I don't have a tech support person, i did go back to different versions of php yesterday (i didn't know what else to do) but it didn't work.. sadly i ended up taking the site down and i'll start a fresh one. Once again , thank you very much.

User avatar
New member

Posts

Joined
Wed May 01, 2013 1:50 am

Post by IP_CAM » Thu Jun 08, 2017 7:20 am

check, if you can downgrade to PHP 7.0.x, my OC v1.5.6.4+ works with such.
Ernie

Image

Attachments

opencart_php_7_0_x.jpg

opencart_php_7_0_x.jpg (44.62 KiB) Viewed 159 times


Ernie's OpenShop 1.75 with responsive Bootstrap Themes:
http://www.bigmax.ch - http://www.ocshop.li
Image


User avatar
Guru Member

Posts

Joined
Tue Mar 04, 2014 1:37 am
Location - Switzerland
Who is online

Users browsing this forum: No registered users and 36 guests